com.sun.grid.jgdi.configuration

## Class RangeImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.RangeImpl

- All Implemented Interfaces:
    GEObject, Range, java.io.Serializable, java.lang.Cloneable

      public class RangeImpl
      extends GEObjectImpl
      implements Range

  Java representation of the cull object RN_Type defined in sge_all_listsL.template

  Warning: The RangeImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeImpl()` Create a new instance of RangeImpl.
    `RangeImpl(boolean initWithDefaultValues)` Create a new instanceof
    `RangeImpl(int min)` Create a new instance of RangeImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `int` | `getMax()` Get the value of the max attribute.
    `int` | `getMin()` Get the value of the min attribute.
    `int` | `getStep()` Get the value of the step attribute.
    `boolean` | `isSetMax()` Determine if the max attribute is set
    `boolean` | `isSetMin()` Determine if the min attribute is set
    `boolean` | `isSetStep()` Determine if the step attribute is set
    `void` | `setMax(int aMax)` Set the max attribute.
    `void` | `setMin(int aMin)` Set the min attribute.
    `void` | `setStep(int aStep)` Set the step attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### RangeImpl

          public RangeImpl()

      Create a new instance of RangeImpl. The new instance will not be initialized with the default values.

    - #### RangeImpl

          public RangeImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### RangeImpl

          public RangeImpl(int min)

      Create a new instance of RangeImpl

  - ### Method Detail

    - #### isSetMin

          public boolean isSetMin()

      Determine if the min attribute is set
      Specified by:
        `isSetMin` in interface `Range`
      Returns:
        `true` if the min attribute is set

    - #### setMin

          public void setMin(int aMin)

      Set the min attribute.
      Specified by:
        `setMin` in interface `Range`
      Parameters:
        `aMin` - the new value for the min attribute

    - #### getMin

          public int getMin()

      Get the value of the min attribute.
      Specified by:
        `getMin` in interface `Range`
      Returns:
        the value of the min attribute

    - #### isSetMax

          public boolean isSetMax()

      Determine if the max attribute is set
      Specified by:
        `isSetMax` in interface `Range`
      Returns:
        `true` if the max attribute is set

    - #### setMax

          public void setMax(int aMax)

      Set the max attribute.
      Specified by:
        `setMax` in interface `Range`
      Parameters:
        `aMax` - the new value for the max attribute

    - #### getMax

          public int getMax()

      Get the value of the max attribute.
      Specified by:
        `getMax` in interface `Range`
      Returns:
        the value of the max attribute

    - #### isSetStep

          public boolean isSetStep()

      Determine if the step attribute is set
      Specified by:
        `isSetStep` in interface `Range`
      Returns:
        `true` if the step attribute is set

    - #### setStep

          public void setStep(int aStep)

      Set the step attribute.
      Specified by:
        `setStep` in interface `Range`
      Parameters:
        `aStep` - the new value for the step attribute

    - #### getStep

          public int getStep()

      Get the value of the step attribute.
      Specified by:
        `getStep` in interface `Range`
      Returns:
        the value of the step attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Range`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.